List saved Tool selections and their actual preparation outcomes
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/tool-setups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/tool-setups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/tool-setups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"schemaVersion": 1,
"setupId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"operationId": "<string>",
"requestHash": "<string>",
"request": {
"use": "reusable",
"tools": [
{
"libraryEntryId": "<string>",
"expectedPackageArchiveDigest": "<string>",
"initialState": "starter",
"instanceId": "<string>"
}
],
"name": "<string>",
"previousSetupId": "<string>",
"expectedPreviousBuildHash": "<string>",
"testDefinitions": {
"targets": [
{
"schemaVersion": 1,
"target": {
"id": "<string>",
"kind": "module",
"bindings": [
"direct"
],
"module": "<string>",
"export": "default",
"timeoutMs": 1800000,
"bindingEnvironment": {}
}
}
],
"scenarios": [],
"drills": [
{
"schemaVersion": 1,
"id": "<string>",
"tags": [],
"targetId": "<string>",
"trials": {
"count": 1,
"classification": "contract"
},
"assertions": [
{
"id": "<string>",
"gate": true,
"kind": "state.value",
"packageId": "<string>",
"namespace": "<string>",
"rowId": "<string>",
"path": [
"<string>"
],
"comparison": {
"operator": "equals",
"value": "<unknown>"
},
"instanceId": "<string>"
}
],
"title": "<string>",
"scenarioId": "<string>",
"inlineScenario": {
"virtualTimeUs": 0,
"actors": [],
"state": [],
"faults": [],
"initialEvents": [],
"title": "<string>",
"toolOverrides": [
{
"id": "<string>",
"operation": {
"packageId": "<string>",
"operationId": "<string>",
"instanceId": "<string>"
},
"outcome": {
"kind": "return",
"value": "<unknown>"
},
"when": {
"arguments": {},
"actorId": "<string>",
"actorInstanceId": "<string>"
},
"times": 4503599627370495
}
]
},
"toolOverrides": [
{
"id": "<string>",
"operation": {
"packageId": "<string>",
"operationId": "<string>",
"instanceId": "<string>"
},
"outcome": {
"kind": "return",
"value": "<unknown>"
},
"when": {
"arguments": {},
"actorId": "<string>",
"actorInstanceId": "<string>"
},
"times": 4503599627370495
}
],
"actorId": "<string>",
"actorInstanceId": "<string>",
"task": {
"instruction": "<string>",
"input": "<unknown>"
},
"settle": {
"maxVirtualAdvanceUs": 0,
"maxToolCalls": 1000,
"maxEvents": 500000
},
"timeline": {
"horizonUs": 0,
"maxToolCalls": 1000,
"maxEvents": 10000,
"stopOnInvariantFailure": true,
"stopOnTargetFailure": true,
"interactions": [],
"workloads": [],
"invariants": []
}
}
],
"suites": []
}
},
"state": "pending",
"version": 0,
"createdBy": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"source": {
"sourceDraftId": "<string>",
"revision": 1073741824,
"sourceDigest": "<string>"
},
"buildAttemptId": "<string>",
"buildOperationId": "<string>",
"buildHash": "<string>",
"environmentId": "<string>",
"preparationOperationId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"finishedAtMs": 0
}
],
"nextCursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}List saved Tool selections and their actual preparation outcomes
List saved Tool selections and their actual preparation outcomes
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Query Parameters
Required string length:
1 - 2048Required range:
1 <= x <= 50